GET api/pcapi/pcsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"cleanroom_id": "2e8d9bee-ee2c-4fd5-870d-e3b82f3feef6",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "9a6ecb84-a342-47e0-a635-4c7b488eeccf",
"local_ip": "sample string 7",
"lock_id": "3c677831-1440-4fd4-b115-7afd0d535ad9",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "d5e3eac7-5800-4bc6-a14b-1b5fd5ee6eab",
"rights": [
{
"code": "sample string 1",
"id": "d685a1cf-8bbb-41a4-84b9-83b97ac649cc"
},
{
"code": "sample string 1",
"id": "d685a1cf-8bbb-41a4-84b9-83b97ac649cc"
}
],
"site_id": "acbc6e9d-3ce9-49d3-9d8a-fb0e5ed0ed42",
"zone_id": "99a79ee2-682b-4450-a691-22aa3ffae6b3"
},
{
"active": true,
"cleanroom_id": "2e8d9bee-ee2c-4fd5-870d-e3b82f3feef6",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "9a6ecb84-a342-47e0-a635-4c7b488eeccf",
"local_ip": "sample string 7",
"lock_id": "3c677831-1440-4fd4-b115-7afd0d535ad9",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "d5e3eac7-5800-4bc6-a14b-1b5fd5ee6eab",
"rights": [
{
"code": "sample string 1",
"id": "d685a1cf-8bbb-41a4-84b9-83b97ac649cc"
},
{
"code": "sample string 1",
"id": "d685a1cf-8bbb-41a4-84b9-83b97ac649cc"
}
],
"site_id": "acbc6e9d-3ce9-49d3-9d8a-fb0e5ed0ed42",
"zone_id": "99a79ee2-682b-4450-a691-22aa3ffae6b3"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc>
<active>true</active>
<cleanroom_id>2e8d9bee-ee2c-4fd5-870d-e3b82f3feef6</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>9a6ecb84-a342-47e0-a635-4c7b488eeccf</id>
<local_ip>sample string 7</local_ip>
<lock_id>3c677831-1440-4fd4-b115-7afd0d535ad9</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>d5e3eac7-5800-4bc6-a14b-1b5fd5ee6eab</pc_type_id>
<rights>
<right>
<ID>d685a1cf-8bbb-41a4-84b9-83b97ac649cc</ID>
<code>sample string 1</code>
</right>
<right>
<ID>d685a1cf-8bbb-41a4-84b9-83b97ac649cc</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>acbc6e9d-3ce9-49d3-9d8a-fb0e5ed0ed42</site_id>
<zone_id>99a79ee2-682b-4450-a691-22aa3ffae6b3</zone_id>
</pc>
<pc>
<active>true</active>
<cleanroom_id>2e8d9bee-ee2c-4fd5-870d-e3b82f3feef6</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>9a6ecb84-a342-47e0-a635-4c7b488eeccf</id>
<local_ip>sample string 7</local_ip>
<lock_id>3c677831-1440-4fd4-b115-7afd0d535ad9</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>d5e3eac7-5800-4bc6-a14b-1b5fd5ee6eab</pc_type_id>
<rights>
<right>
<ID>d685a1cf-8bbb-41a4-84b9-83b97ac649cc</ID>
<code>sample string 1</code>
</right>
<right>
<ID>d685a1cf-8bbb-41a4-84b9-83b97ac649cc</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>acbc6e9d-3ce9-49d3-9d8a-fb0e5ed0ed42</site_id>
<zone_id>99a79ee2-682b-4450-a691-22aa3ffae6b3</zone_id>
</pc>
</ArrayOfpc>